Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

After installing the most recent X11 updates (using the update manager) it would appear that OpenGL support has vanished from my computer. I have an NVIDIA GeForce 9600M graphics card, and have the proprietary NVIDIA drivers installed (270.41.06). Through prior research (specifically this post on the Ubuntu forums) I have come to believe that some combination of the recent update to X11 and my re-installation of the NVIDIA graphics driver has broken a link to the OpenGL libraries on my computer.

Output of glxinfo:

$ glxinfo
name of display: :0.0
Error: couldn't find RGB GLX visual or fbconfig

A listing of the OpenGL libraries installed on my system (I think):

$ find /usr -name libGL.*
/usr/lib/nvidia-173/libGL.so
/usr/lib/nvidia-173/libGL.so.173.14.30
/usr/lib/nvidia-173/libGL.so.1
/usr/lib/libGL.so
/usr/lib/nvidia-current/libGL.so.270.41.06
/usr/lib/nvidia-current/libGL.so
/usr/lib/nvidia-current/libGL.so.1
/usr/lib/mesa/libGL.so.1.2
/usr/lib/mesa/libGL.so
/usr/lib/mesa/libGL.so.1
/usr/lib/libGL.so.1

I get the same output when running as root. I think the answer may lie somewhere in the link I posted - unfortunately I couldn't parse what was being discussed. I would classify my knowledge of Linux as "enough to be very dangerous".

Any ideas how to fix this?

UPDATE: As requested, some more information

$ldd /usr/bin/glxinfo

linux-gate.so.1 =>  (0xb7830000)
libGL.so.1 => /usr/lib/libGL.so.1 (0xb77c4000)
libX11.so.6 => /usr/lib/i386-linux-gnu/libX11.so.6 (0xb76a9000)
libc.so.6 => /lib/i386-linux-gnu/libc.so.6 (0xb7547000)
libXext.so.6 => /usr/lib/i386-linux-gnu/libXext.so.6 (0xb7538000)
libXdamage.so.1 => /usr/lib/i386-linux-gnu/libXdamage.so.1 (0xb7534000)
libXfixes.so.3 => /usr/lib/i386-linux-gnu/libXfixes.so.3 (0xb752e000)
libXxf86vm.so.1 => /usr/lib/i386-linux-gnu/libXxf86vm.so.1 (0xb7528000)
libdrm.so.2 => /lib/i386-linux-gnu/libdrm.so.2 (0xb751d000)
libpthread.so.0 => /lib/i386-linux-gnu/libpthread.so.0 (0xb7504000)
libdl.so.2 => /lib/i386-linux-gnu/libdl.so.2 (0xb7500000)
libstdc++.so.6 => /usr/lib/i386-linux-gnu/libstdc++.so.6 (0xb7415000)
libm.so.6 => /lib/i386-linux-gnu/libm.so.6 (0xb73ef000)
libgcc_s.so.1 => /lib/i386-linux-gnu/libgcc_s.so.1 (0xb73d2000)
/lib/ld-linux.so.2 (0xb7831000)
libxcb.so.1 => /usr/lib/i386-linux-gnu/libxcb.so.1 (0xb73b9000)
librt.so.1 => /lib/i386-linux-gnu/librt.so.1 (0xb73b0000)
libXau.so.6 => /usr/lib/i386-linux-gnu/libXau.so.6 (0xb73ac000)
libXdmcp.so.6 => /usr/lib/i386-linux-gnu/libXdmcp.so.6 (0xb73a6000)


$lsmod | grep nvidia
Module                  Size  Used by
cryptd                 19801  0 
aes_i586               16956  2 
aes_generic            38023  1 aes_i586
binfmt_misc            13213  1 
parport_pc             32111  0 
ppdev                  12849  0 
vesafb                 13449  1 
snd_hda_codec_hdmi     27535  1 
snd_hda_codec_realtek   255882  1 
nvidia               9766978  32 
snd_hda_intel          24140  4 
snd_hda_codec          90901  3 snd_hda_codec_hdmi,snd_hda_codec_realtek,snd_hda_intel
snd_hwdep              13274  1 snd_hda_codec
snd_pcm                80042  4 snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec
snd_seq_midi           13132  0 
arc4                   12473  2 
snd_rawmidi            25269  1 snd_seq_midi
snd_seq_midi_event     14475  1 snd_seq_midi
snd_seq                51291  2 snd_seq_midi,snd_seq_midi_event
snd_timer              28659  2 snd_pcm,snd_seq
snd_seq_device         14110  3 snd_seq_midi,snd_rawmidi,snd_seq
iwlagn                284778  0 
iwlcore               148965  1 iwlagn
mac80211              257001  2 iwlagn,iwlcore
cfg80211              156212  3 iwlagn,iwlcore,mac80211
snd                    55295  17     snd_hda_codec_hdmi,snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
psmouse                59039  0 
uvcvideo               66851  0 
videodev               75143  1 uvcvideo
soundcore              12600  1 snd
snd_page_alloc         14073  2 snd_hda_intel,snd_pcm
video                  18951  0 
serio_raw              12990  0 
joydev                 17322  0 
lp                     13349  0 
parport                36746  3 parport_pc,ppdev,lp
usbhid                 41704  0 
hid                    77084  1 usbhid
usb_storage            43946  0 
uas                    17676  0 
ahci                   21591  3 
atl1e                  32576  0 
libahci                25548  1 ahci

Let me know if there is any other information that I can provide.

share|improve this question
    
Can you run ldd /usr/bin/glxinfo and paste the output? You might have a similar issue to the user in the link you provided that the mesa libGL driver is being used instead of the nvidia libGL. I've had similar issues that I resolved by removing certain other graphics drivers that weren't needed. –  MattSmith Jul 14 '11 at 3:30
    
Are you still using the nvidia driver? Do you see it listed when you run 'lsmod'? –  Doc Jul 14 '11 at 16:31
add comment

1 Answer

Unfortunately Ubuntu tends to be like Windows, so I'd recommend you uninstall and then re-install the nvidia drivers. You can do this 2 ways.

1) Uninstall the Nvidia drivers, then let Ubuntu re-install them. I usually do this from a terminal

sudo su
dpkg --get-selections | grep -i nvidia
apt-get --purge remove nvidia-pkg

Note: nvidia-pkg should be replaced with the output of the get-selections.

Then I would reboot, and Ubuntu should prompt you to install restricted drivers from NVidia. I like nvidia-current (There's like 5 versions to pick now).

2) You could try using the installer from Nvidia.com, this will probably get everything going, but it's going to overwrite stuff Ubuntu manages. Generally I try to avoid installing anything outside of the package manager if I can avoid it, but the Nvidia drivers are one thing I generally break this rule for.

Hope that gets it working for you.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.